> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List cards

> Returns a list of cards on an account, ordered in alphabetical order by card name.



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json get /cards
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards:
    get:
      tags:
        - Card details
      summary: List cards
      description: >-
        Returns a list of cards on an account, ordered in alphabetical order by
        card name.
      operationId: findAllCards
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: include
          in: query
          schema:
            description: >-
              Controls which optional properties should be attached to the
              response. Possible values: digitalWalletSettings
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - digitalWalletSettings
            enum:
              - digitalWalletSettings
            example: digitalWalletSettings
        - name: state
          in: query
          schema:
            description: >-
              The state of the card. Use commas to pass multiple values. Has to
              be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - ACTIVE
                    - REPLACED
                    - TERMINATED
                    - SUSPENDED
                    - UNACTIVATED
                  description: The current state of the card.
                  example: ACTIVE
            enum:
              - ACTIVE
              - REPLACED
              - TERMINATED
              - SUSPENDED
              - UNACTIVATED
            example: ACTIVE,REPLACED
        - name: orderBy
          in: query
          schema:
            description: >-
              The order in which to return results. By default, cards are sorted
              by name in ascending order.
            type:
              - string
            enum:
              - asc
              - desc
        - name: startDate
          in: query
          schema:
            description: >-
              The earliest date from which to retrieve records (includes records
              on this date).
            type:
              - string
            example: '2020-01-01'
        - name: endDate
          in: query
          schema:
            description: >-
              The latest date until which to retrieve records (includes records
              on this date).
            type:
              - string
            example: '2020-01-01'
        - name: search
          in: query
          schema:
            description: The term to search the records for.
            type:
              - string
            maxLength: 100
            example: Cesar+Treutel
        - name: budgetId
          in: query
          schema:
            description: The ID of the budget to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a03
        - name: cardId
          in: query
          schema:
            description: The ID of the card to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: cardIds
          in: query
          schema:
            description: >-
              The IDs of the cards to work with. Use commas to pass multiple
              values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: cardOwnerType
          in: query
          schema:
            description: The card owner type of the card.
            type:
              - string
            enum:
              - PEOPLE
              - BUDGET
            example: PEOPLE
        - name: cardType
          in: query
          schema:
            description: >-
              The type of card. Use commas to pass multiple values. Has to be
              URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - VIRTUAL_PAN
                    - PHYSICAL_MSR
                    - PHYSICAL_COMBO
                  description: The type of card.
                  example: PHYSICAL_MSR
            enum:
              - VIRTUAL_PAN
              - PHYSICAL_MSR
              - PHYSICAL_COMBO
            example: PHYSICAL_MSR,PHYSICAL_COMBO
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
        - name: personIds
          in: query
          schema:
            description: >-
              The IDs of the personas to work with. Use commas to pass multiple
              values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  search:
                    description: The term to search the records for.
                    type:
                      - string
                    maxLength: 100
                    example: Cesar+Treutel
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          description: The ID of the card to work with.
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                        personId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                          maxLength: 36
                          description: The ID of the person to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a04
                        accountId:
                          description: The ID of the account to work with.
                          type:
                            - string
                          example: F50091
                        careOfLine:
                          type:
                            - string
                            - 'null'
                          description: >-
                            Adds the specified value as a C/O (care of) line to
                            the mailing carrier.
                        cardProductName:
                          type:
                            - string
                          description: The card product name.
                        lastFour:
                          type:
                            - string
                          description: >-
                            The last four digits of the card Primary Account
                            Number (PAN).
                          example: '0056'
                        expiration:
                          type:
                            - string
                          description: The expiration month and year of the card.
                          example: '0111'
                        expirationTime:
                          type:
                            - string
                          description: The expiration time of the card.
                          example: '2025-01-31T23:59:59Z'
                        pinIsSet:
                          type:
                            - boolean
                          description: Whether or not the card PIN is set.
                        state:
                          type:
                            - string
                          enum:
                            - ACTIVE
                            - REPLACED
                            - TERMINATED
                            - SUSPENDED
                            - UNACTIVATED
                          description: The current state of the card.
                          example: ACTIVE
                        stateReason:
                          type:
                            - string
                          description: The reason for current card state.
                          example: New card
                        fulfillmentStatus:
                          type:
                            - string
                          enum:
                            - ISSUED
                            - ORDERED
                            - REORDERED
                            - REJECTED
                            - SHIPPED
                            - DIGITALLY_PRESENTED
                          description: The fulfillment status of the card.
                          example: ISSUED
                        fulfillment:
                          type:
                            - object
                            - 'null'
                          properties:
                            shippingMethod:
                              type:
                                - string
                              enum:
                                - EXPRESSLOCALMAIL
                                - COURIER
                                - AIRMAIL
                                - STANDARDMAIL
                              description: Fulfillment provider for the card.
                              example: COURIER
                          required:
                            - shippingMethod
                        cardType:
                          type:
                            - string
                          enum:
                            - VIRTUAL_PAN
                            - PHYSICAL_MSR
                            - PHYSICAL_COMBO
                          description: The type of card.
                          example: PHYSICAL_MSR
                        recipientAddress:
                          type:
                            - object
                            - 'null'
                          properties:
                            firstName:
                              type:
                                - string
                              description: The first name of the card owner.
                              example: Jane
                            middleName:
                              type:
                                - string
                              description: The middle name of the card owner.
                              example: Roger
                            lastName:
                              type:
                                - string
                              description: The last name of the card owner.
                              example: Doe
                            address1:
                              type:
                                - string
                              minLength: 1
                              description: The first line of the card delivery address.
                              example: 123 Henry St
                            address2:
                              type:
                                - string
                              description: The second line of the card delivery address.
                              example: Suite 101
                            city:
                              type:
                                - string
                              description: The city of the card delivery address.
                              example: Porterville
                            state:
                              type:
                                - string
                              description: The state/region of the card delivery address.
                              example: CA
                            postalCode:
                              type:
                                - string
                              description: >-
                                The postal code or ZIP of the card delivery
                                address.
                              example: '93257'
                            country:
                              type:
                                - string
                              maxLength: 40
                              description: The country of the card delivery address.
                              example: US
                            phone:
                              type:
                                - string
                              description: The phone number of the card owner.
                              example: '831555555'
                          required:
                            - firstName
                            - lastName
                            - address1
                            - city
                            - postalCode
                            - country
                          description: >-
                            Details about the address that the card will be
                            shipped to.
                        cardOwnerType:
                          type:
                            - string
                          enum:
                            - PEOPLE
                            - BUDGET
                          description: The card owner type of the card.
                        name:
                          type:
                            - string
                          description: The name of the card.
                          example: Team Party Card
                        budgetCardPhoneNumber:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The telephone number of the shared card (including
                            area code), prepended by the ```+``` symbol and the
                            1- to 3-digit country calling code. Do not include
                            hyphens, spaces, or parentheses.
                          example: '+447911001762'
                        meta:
                          type:
                            - array
                          items:
                            type:
                              - object
                            properties:
                              id:
                                type:
                                  - string
                                description: the id corresponding to the meta
                              cardId:
                                description: The ID of the card to work with.
                                type:
                                  - string
                                format: uuid
                                maxLength: 36
                                example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                              CardId:
                                description: The ID of the card to work with.
                                type:
                                  - string
                                format: uuid
                                maxLength: 36
                                example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                              metaKey:
                                type:
                                  - string
                                enum:
                                  - expirationTime
                                  - stateReason
                                  - chipCvvNumber
                                  - careOfLine
                                  - cardPersonalization
                                description: possible meta that a card can have
                              metaValue:
                                type:
                                  - string
                                description: the value of the metaKey
                                example: New card
                              createdAt:
                                type:
                                  - string
                                format: date-time
                                description: >-
                                  The date the Resource was initially created.
                                  ISO 8601 format without milliseconds.
                              updatedAt:
                                type:
                                  - string
                                format: date-time
                                description: >-
                                  The date the Resource was last modified. ISO
                                  8601 format without milliseconds.
                            required:
                              - id
                              - cardId
                              - metaKey
                              - metaValue
                              - createdAt
                              - updatedAt
                          description: List of metas.
                        budgets:
                          type:
                            - array
                          items:
                            type:
                              - object
                            properties:
                              id:
                                description: The ID of the budget to work with.
                                type:
                                  - string
                                format: uuid
                                maxLength: 36
                                example: 775596ae-2624-40af-a9dc-9756110a4a03
                              name:
                                type:
                                  - string
                                description: name of the Budget
                                example: Engineering
                              type:
                                type:
                                  - string
                                enum:
                                  - accountBalance
                                  - forwardDeposits
                                  - shared
                                  - individual
                                description: The budget type.
                              access:
                                type:
                                  - string
                                enum:
                                  - allowed
                                  - restricted
                                description: >-
                                  Whether or not the budget is accessible to the
                                  cardholder.
                            required:
                              - id
                          description: List of budgets.
                        budget:
                          type:
                            - object
                          properties:
                            id:
                              description: The ID of the budget to work with.
                              type:
                                - string
                              format: uuid
                              maxLength: 36
                              example: 775596ae-2624-40af-a9dc-9756110a4a03
                            name:
                              type:
                                - string
                              description: name of the Budget
                              example: Engineering
                            type:
                              type:
                                - string
                              enum:
                                - accountBalance
                                - forwardDeposits
                                - shared
                                - individual
                              description: The budget type.
                            access:
                              type:
                                - string
                              enum:
                                - allowed
                                - restricted
                              description: >-
                                Whether or not the budget is accessible to the
                                cardholder.
                          required:
                            - id
                        spendingLimit:
                          type:
                            - object
                          properties:
                            id:
                              type:
                                - string
                              maxLength: 36
                              format: uuid
                              description: The ID of the limit to work with.
                            amount:
                              type:
                                - number
                              exclusiveMinimum: 0
                              description: amount of limit to be set
                              example: 100.5
                            currencyCode:
                              type:
                                - string
                              example: GBP
                            active:
                              type:
                                - boolean
                              description: >-
                                Indicates whether the limit is active on
                                Marqeta.
                            usageLimit:
                              default: -1
                              type:
                                - integer
                              minimum: -1
                              description: >-
                                Number of transactions allowed in a given time
                                window. `-1` means the limit is disabled. `0`
                                means no transactions can be made.
                              example: 15
                            limitTurnedOff:
                              type:
                                - boolean
                              description: Defines if the limit was turned off by the user
                            limitWindow:
                              type:
                                - string
                              enum:
                                - DAY
                                - WEEK
                                - MONTH
                                - LIFETIME
                              description: Defines the time period to which the limit apply
                            available:
                              type:
                                - object
                              properties:
                                uses:
                                  type:
                                    - number
                                  description: number of  uses
                                amount:
                                  type:
                                    - number
                                  description: amount of limit to be set
                                  example: 100.5
                                daysRemaining:
                                  type:
                                    - number
                                  description: >-
                                    number of days remaining in the limit
                                    window.
                                  example: 1
                          required:
                            - amount
                            - limitWindow
                        transactionLimit:
                          type:
                            - object
                          properties:
                            id:
                              type:
                                - string
                              maxLength: 36
                              format: uuid
                              description: The ID of the limit to work with.
                            amount:
                              type:
                                - number
                              exclusiveMinimum: 0
                              description: amount of limit to be set
                              example: 100.5
                            currencyCode:
                              type:
                                - string
                              example: GBP
                            active:
                              type:
                                - boolean
                              description: >-
                                Indicates whether the limit is active on
                                Marqeta.
                            limitTurnedOff:
                              type:
                                - boolean
                              description: Defines if the limit was turned off by the user
                            limitWindow:
                              type:
                                - string
                              enum:
                                - TRANSACTION
                              description: Defines the time period to which the limit apply
                          required:
                            - amount
                            - limitWindow
                        budgetCardPhoneNumberPersonId:
                          type:
                            - string
                            - 'null'
                          maxLength: 36
                          format: uuid
                          description: >-
                            The ID of the person that should receive the shared
                            card notifications.
                        previousCards:
                          type:
                            - array
                          items: {}
                          description: List of all previous cards.
                        currencies:
                          type:
                            - array
                          items:
                            type:
                              - object
                            properties:
                              numericCode:
                                type:
                                  - string
                                maxLength: 3
                                description: The numeric value of the currency code.
                                example: '840'
                              code:
                                type:
                                  - string
                                maxLength: 3
                                description: The currency code, in ISO-4217 format.
                                example: USD
                          description: >-
                            List of all currency codes which belong to the card
                            product token of the card.
                        baseCurrencyCode:
                          type:
                            - string
                          description: >-
                            The base currency code of the card product token of
                            the card.
                        physicalCardState:
                          type:
                            - string
                          enum:
                            - ACTIVE
                            - REPLACED
                            - TERMINATED
                            - SUSPENDED
                            - UNACTIVATED
                            - NOT_REQUESTED
                            - PENDING_ACTIVATION
                          description: The state of the corresponding physical card.
                        physicalCardId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                          description: The ID of the corresponding physical card.
                        forceChangePin:
                          type:
                            - boolean
                          description: Whether or not the PIN needs to be changed.
                        cardGroupId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                          description: The ID of the card group to work with.
                        cardProductId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                          description: The ID of the card product to work with.
                        cardProductToken:
                          type:
                            - string
                            - 'null'
                          format: uuid
                          description: The ID of the card product token to work with.
                        userTokenId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                          description: The ID of the user token to work with.
                        cardPersonalization:
                          type:
                            - object
                            - 'null'
                          properties:
                            text:
                              type:
                                - object
                              properties:
                                nameLine_1:
                                  type:
                                    - object
                                  properties:
                                    value:
                                      type:
                                        - string
                                  description: The first line of personalised text.
                                nameLine_2:
                                  type:
                                    - object
                                  properties:
                                    value:
                                      type:
                                        - string
                                  description: The second line of personalised text.
                          description: >-
                            The line of personalised text that will be printed
                            on the card.
                        fundingSourceBudgetId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                          maxLength: 36
                          description: The ID of the funding source budget.
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                        digitalWalletSettings:
                          type:
                            - array
                          items:
                            type:
                              - object
                            properties:
                              type:
                                type:
                                  - string
                                enum:
                                  - applePay
                                  - googlePay
                                  - samsungPay
                                description: The type of digital wallet.
                              enabled:
                                type:
                                  - boolean
                                description: >-
                                  Whether the digital wallet is enabled on the
                                  card product for this card.
                            required:
                              - type
                              - enabled
                          description: List of digital wallet settings for the card.
                      required:
                        - id
                        - accountId
                        - lastFour
                        - state
                        - cardType
                        - name
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  search: Cesar+Treutel
                  rows:
                    - id: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                      personId: 775596ae-2624-40af-a9dc-9756110a4a04
                      accountId: F50091
                      careOfLine: string
                      cardProductName: string
                      lastFour: '0056'
                      expiration: '0111'
                      expirationTime: '2025-01-31T23:59:59Z'
                      pinIsSet: true
                      state: ACTIVE
                      stateReason: New card
                      fulfillmentStatus: ISSUED
                      fulfillment:
                        shippingMethod: COURIER
                      cardType: PHYSICAL_MSR
                      recipientAddress:
                        firstName: Jane
                        middleName: Roger
                        lastName: Doe
                        address1: 123 Henry St
                        address2: Suite 101
                        city: Porterville
                        state: CA
                        postalCode: '93257'
                        country: US
                        phone: '831555555'
                      cardOwnerType: PEOPLE
                      name: Team Party Card
                      budgetCardPhoneNumber: '+447911001762'
                      meta:
                        - id: string
                          cardId: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                          CardId: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                          metaKey: expirationTime
                          metaValue: New card
                          createdAt: '2019-08-24T14:15:22Z'
                          updatedAt: '2019-08-24T14:15:22Z'
                      budgets:
                        - id: 775596ae-2624-40af-a9dc-9756110a4a03
                          name: Engineering
                          type: accountBalance
                          access: allowed
                      budget:
                        id: 775596ae-2624-40af-a9dc-9756110a4a03
                        name: Engineering
                        type: accountBalance
                        access: allowed
                      spendingLimit:
                        id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                        amount: 100.5
                        currencyCode: GBP
                        active: true
                        usageLimit: 15
                        limitTurnedOff: true
                        limitWindow: DAY
                        available:
                          uses: 0
                          amount: 100.5
                          daysRemaining: 1
                      transactionLimit:
                        id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                        amount: 100.5
                        currencyCode: GBP
                        active: true
                        limitTurnedOff: true
                        limitWindow: TRANSACTION
                      budgetCardPhoneNumberPersonId: 3f0ed336-6bdd-4498-b45f-514a625c72e1
                      previousCards:
                        - null
                      currencies:
                        - numericCode: '840'
                          code: USD
                      baseCurrencyCode: string
                      physicalCardState: ACTIVE
                      physicalCardId: 98e7d110-00ea-45f1-9af7-2dac397a7138
                      forceChangePin: true
                      cardGroupId: ef3dcbc9-9ad4-44c0-8d75-217d31da37b8
                      cardProductId: 06776ac8-abe1-475b-92ee-72405c7b0e60
                      cardProductToken: 2f224848-4191-4180-a090-3926042e4b39
                      userTokenId: 187f5207-de0b-4f4e-9b90-d50d6a251c6b
                      cardPersonalization:
                        text:
                          nameLine_1:
                            value: string
                          nameLine_2:
                            value: string
                      fundingSourceBudgetId: dd3429fe-77dd-49d7-9f2d-81f114257fe2
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                      digitalWalletSettings:
                        - type: applePay
                          enabled: true
      security:
        - CommonAuth:
            - cards:individualcards:read:own
            - cards:individualcards:read:any
            - cards:sharedcards:read
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/cards?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````